Get the node pool metrics data.
Retrieve the node pool metrics data by Universally Unique Identifier (UUID).
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
clusterUuid
The Universally Unique Identifier (UUID) of the cluster.
nodepoolName
The unique nodepool name.
Query parameters
start
Start date of time range to fetch data in ISO 8601 timestamp format.
end
End date of time range to fetch data in ISO 8601 timestamp format.
numberOfSamples
The number of samples to take in the specified time range.
metricType
specifies what data to request
Response
Executed successfully.
measurements
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error